/**
 * @description: 角色相关接口
 * @fileName: user
 * @author: xsz
 * @date: 2022/9/20-13:46
 * @version: V1.0.0
 **/
import request from '@/utils/request'
import routes from '../gateway-routes'
/**
 *  查询角色列表
 */
export function getRoleList(params) {
  return request({
    url: `${routes.auth}/sysRole`,
    method: 'get',
    params
  })
}
/**
 *  查询角色option
 */
export function getRoleOption() {
  return request({
    url: `${routes.auth}/sysRole/option`,
    method: 'get'
  })
}
/**
 *  修改-新增角色信息
 */
export function putAddRoleInfo(data) {
  return request({
    url: `${routes.auth}/sysRole/save`,
    method: 'post',
    data
  })
}
/**
 * 删除角色
 */
export function delRole(id) {
  return request({
    url: `${routes.auth}/sysRole/del`,
    method: 'post',
    params: { id: id }
  })
}

