/**
 * @description: 用户相关接口
 * @fileName: user
 * @author: xsz
 * @date: 2022/9/20-13:46
 * @version: V1.0.0
 **/

import request from '@/utils/request'
import routes from '../gateway-routes'
/** 获取验证码 */
export function getVerifyCode() {
  return request({
    url: `${routes.auth}/api/user/verifyCode`,
    method: 'get'
  })
}
/** 登录接口 */
export function login(data) {
  return request({
    url: `${routes.auth}/api/user/admin/login`,
    method: 'post',
    params: data
  })
}

/** 管理员用户修改密码 */
export function changePassword(params) {
  return request({
    url: `${routes.auth}/api/user/admin/pass`,
    method: 'post',
    params
  })
}

/** 管理员用户修改个人信息 */
export function changeSelfInfo(data) {
  return request({
    url: `${routes.auth}/api/user/updateSelfInfo`,
    method: 'post',
    data
  })
}

/** 登录后获取登录用户信息 */
export function getUserInfo() {
  return request({
    url: `${routes.auth}/api/user/admin/info`,
    method: 'post'
  })
}
/** 获取权限菜单 */
export function getRouterList() {
  return request({
    url: `${routes.auth}/api/user/admin/menu`,
    method: 'post'
  })
}
/** 重置密码 */
export function resetPass(data) {
  return request({
    url: `${routes.auth}/adminInfo/resetPass`,
    method: 'post',
    params: data
  })
}

/** 检查邮件验证码是否正确 */

export function checkVerificationCode(params) {
  return request({
    url: `${routes.auth}/api/user/checkVerificationCode`,
    method: 'get',
    params
  })
}
/** 发送找回密码邮件 */

export function sendMail(params) {
  return request({
    url: `${routes.auth}/api/user/sendMail`,
    method: 'get',
    params
  })
}

/**
 * 字典相关
 * */

export function queryByType(data) {
  return request({
    url: `${routes.auth}/comDictionary/queryByType`,
    method: 'post',
    data
  })
}
