/**
 * @description: 组管理
 * @fileName: group
 * @author: xsz
 * @date: 2023/2/9-13:04
 * @version: V1.0.0
 **/
import request from '@/utils/request'
import routes from '../gateway-routes'

/** 查询单位管理表 */
export function getGroupList(page, size, params) {
  return request({
    url: `${routes.auth}/unitInfo/getUnitInfo?page=${page}&size=${size}`,
    method: 'get',
    params
  })
}

/** 查询单位树 */
export function findAdminInfoList() {
  return request({
    url: `${routes.auth}/unitInfo/findAdminInfoList`,
    method: 'get'
  })
}
/** 查询单位树 */
export function getGroupTree() {
  return request({
    url: `${routes.auth}/unitInfo/getUnitInfoTree`,
    method: 'get'
  })
}

/** 根据组id查询组成员 */
export function findAdminInfoByUnit(params) {
  return request({
    url: `${routes.auth}/unitInfo/findAdminInfoByUnit`,
    method: 'get',
    params
  })
}

/** 查询一个单位的子级单位 */
export function getChildrenGroup(params) {
  return request({
    url: `${routes.auth}/unitInfo/queryChildrenUnit`,
    method: 'get',
    params
  })
}

/** 查询一个单位的子级单位 */
export function getChildrenGroups(params) {
  return request({
    url: `${routes.auth}/unitInfo/queryChildrenUnit`,
    method: 'get',
    params
  })
}

/** 根据id新增或修改单位管理*/
export function changeGroupInfo(data) {
  return request({
    url: `${routes.auth}/unitInfo/saveUnit`,
    method: 'post',
    data
  })
}
/** 添加小组成员*/
export function addGroupUser(data) {
  return request({
    url: `${routes.auth}/unitInfo/moveAdd`,
    method: 'post',
    params: data
  })
}
/** 删除小组成员*/
export function delGroupUser(data) {
  return request({
    url: `${routes.auth}/unitInfo/moveDelete`,
    method: 'post',
    params: data
  })
}

/** 根据id新增或修改单位管理*/
export function addGroupInfo(data) {
  return request({
    url: `${routes.auth}/unitInfo/saveUnit`,
    method: 'post',
    data
  })
}

/** 删除单位管理表表中信息*/
export function deleteGroupInfo(params) {
  return request({
    url: `${routes.auth}/unitInfo/deleteUnit`,
    method: 'post',
    params
  })
}
/** 查询考点*/
export function selectUnit(params) {
  return request({
    url: `${routes.auth}/unitInfo/selectUnit`,
    method: 'get',
    params
  })
}

