/**
 * @description 导出默认通用配置
 */
const setting = {
  /* 从 Vue CLI 3.3 起已弃用，请使用publicPath */
  /* 部署生产环境和开发环境下的URL：可对当前环境进行区分 默认值：'/' */
  publicPath: '/',
  /* 当运行 npm run build 时生成的生产环境构建文件的目录 */
  outputDir: 'dist',
  /* 放置生成的静态资源 (js、css、img、fonts) 的 (相对于 outputDir 的) 目录 */
  assetsDir: 'static',
  /* 默认：true,生成的静态资源在它们的文件名中包含了 hash 以便更好的控制缓存，
  你可以通过将这个选项设为 false 来关闭文件名哈希。(false的时候就是让原来的文件名不改变) */
  filenameHashing: false,
  /* 默认：true,是否在开发环境下通过 eslint-loader 在每次保存时 lint 代码 */
  lintOnSave: false,
  /* 默认：false,是否使用包含运行时编译器的 Vue 构建版本 */
  runtimeCompiler: false,
  /* 进行编译的依赖,通过 Babel 显式转译 node_modules 中的一个依赖 */
  transpileDependencies: [],
  /* 默认：true,是否在构建生产包时生成 sourceMap 文件，false将提高构建速度 */
  productionSourceMap: false,
  /* 设置生成的 HTML 中 <link rel="stylesheet"> 和 <script> 标签的 crossorigin 属性 */
  // crossorigin: 'undefined',
  /* 默认：false,在生成的 HTML 中的 <link rel="stylesheet"> 和 <script> 标签上启用 Subresource Integrity (SRI)。如果你构建后的文件是部署在 CDN 上的，启用该选项可以提供额外的安全性 */
  integrity: false,
  // 标题 （包括初次加载雪花屏的标题 页面的标题 浏览器的标题）
  title: '伏羲',
  // 简写
  abbreviation: 'FuHsi',
  // 开发环境端口号
  devPort: '9978',
  // 版本号
  version: process.env.VUE_APP_VERSION,
  copyright: 'sst',
  // 是否显示页面底部自定义版权信息
  footerCopyright: false,
  // 是否显示顶部进度条
  progressBar: false,
  // 缓存路由的最大数量
  keepAliveMaxNum: 99,
  // 路由模式，可选值为 history 或 hash
  routerMode: 'history',
  // 不经过token校验的路由 /index 往后 都要去掉
  routesWhiteList: ['/login', '/404', '/401', '/to-pc'],
  // 加载时显示文字
  loadingText: '正在加载中...',
  // token名称
  tokenName: 'Auth-Token',
  // token在localStorage、sessionStorage存储的key的名称
  tokenTableName: 'MyToken',
  // token存储位置localStorage sessionStorage
  storage: 'localStorage',
  // token失效回退到登录页时是否记录本次的路由
  recordRoute: false,
  // 是否显示logo，不显示时设置false，显示时请填写remixIcon图标名称，暂时只支持设置remixIcon
  logo: 'logo',
  // 是否显示在页面高亮错误
  errorLog: ['development', 'production'],
  // 是否开启登录拦截
  loginInterception: false,
  // 是否开启登录RSA加密
  loginRSA: false,
  // intelligence和all两种方式，前者后端权限只控制permissions不控制view文件的import（前后端配合，减轻后端工作量），all方式完全交给后端前端只负责加载
  authentication: 'intelligence',
  // vertical布局时是否只保持一个子菜单的展开
  uniqueOpened: true,
  // vertical布局时默认展开的菜单path，使用逗号隔开建议只展开一个
  defaultOopeneds: ['/vab'],
  // 需要加loading层的请求，防止重复提交
  debounce: ['doEdit'],
  // 需要自动注入并加载的模块
  providePlugin: { maptalks: 'maptalks', 'window.maptalks': 'maptalks', 'window.Quill': 'quill/dist/quill.js',
    'Quill': 'quill/dist/quill.js' },
  // npm run build时是否自动生成7z压缩包
  build7z: false,
  // 代码生成机生成在view下的文件夹名称
  templateFolder: 'project',
  // 是否显示终端donation打印
  donation: false,
  // 是否开启图片压缩
  imageCompression: false
}
module.exports = setting
