/**
 * @description: 得分配置
 * @fileName: scoreConfig
 * @author: 17076
 * @date: 2024/6/26-上午10:51
 * @version: V1.0.0
 **/
const scoreConfig = {
  series: [
    {
      type: 'gauge',
      zlevel: 0,
      min: 0,
      max: 100,
      startAngle: 180,
      endAngle: 0,
      radius: '100%',
      center: ['50%', '54%'],
      progress: {
        show: true,
        width: 3,
        itemStyle: {
          color: {
            type: 'linear',
            x: 0,
            y: 1,
            x2: 0,
            y2: 0,
            colorStops: [{
              offset: 0, color: '#F68600'
            }, {
              offset: 1, color: '#FFA942'
            }],
            global: false
          }
        }
      },
      axisLine: {
        lineStyle: {
          color: [[1, '#E2E6E2']],
          width: 3
        }
      },
      splitLine: {
        show: false
      },
      axisTick: {
        show: false
      },
      axisLabel: {
        show: false
      },
      anchor: {
        show: false
      },
      pointer: {
        offsetCenter: [0, '-40%'],
        icon: 'diamond',
        length: '60%',
        itemStyle: {
          color: '#FFA942'
        }
      },
      detail: {
        show: false
      },
      title: {
        show: false
      },
      data: []
    },
    {
      type: 'gauge',
      zlevel: -1,
      min: 0,
      max: 60,
      startAngle: 180,
      endAngle: 0,
      center: ['50%', '54%'],
      radius: '90%',
      axisLine: {
        lineStyle: {
          color: [[1, '#E2E6E2']],
          width: 1
        }
      },
      splitLine: {
        show: false
      },
      axisTick: {
        show: false
      },
      axisLabel: {
        show: false
      },
      pointer: {
        show: false
      },
      title: {
        show: false
      },
      anchor: {
        show: false
      }
    }
  ]
}
export default scoreConfig
