/**
 * @description: 案件区域配置
 * @fileName: caseAreaConfig
 * @author: 17076
 * @date: 2024/6/18-下午4:22
 * @version: V1.0.0
 **/
const caseAreaConfig = {
  title: {
    text: '案件多发地区',
    top: '5%',
    left: '2%',
    textStyle: {
      fontSize: 12
    }
  },
  xAxis: {
    type: 'category',
    data: ['中卫', '石嘴山', '固原', '银川', '吴忠'],
    axisLine: {
      show: false
    },
    axisTick: {
      show: false
    }
  },
  yAxis: {
    type: 'value',
    splitLine: {
      lineStyle: {
        color: '#DCEEFF',
        type: 'dashed'
      }
    }
  },
  grid: {
    top: '15%',
    bottom: '8%',
    left: '5%',
    right: '5%',
    containLabel: true
  },
  series: [
    {
      data: [120, 200, 150, 80, 70, 110, 130],
      type: 'bar',
      barWidth: '40',
      itemStyle: {
        color: '#ADBFFF',
        borderWidth: 0,
        borderRadius: [20, 20, 0, 0]
      },
      selectedMode: 'single',
      select: {
        itemStyle: {
          color: '#3763FF',
          borderWidth: 0
        }
      }
    }
  ]
}
export default caseAreaConfig
