/**
 * @description: 学历配置
 * @fileName: doreEducationConfig
 * @author: 17076
 * @date: 2024/6/7-下午2:29
 * @version: V1.0.0
 **/
const doreEducationConfig = {
  xAxis: {
    type: 'category',
    data: ['初中以下', '高中', '本科', '硕士及以下'],
    axisLine: {
      show: false
    },
    axisTick: {
      show: false
    }
  },
  yAxis: {
    type: 'value',
    splitLine: {
      lineStyle: {
        color: '#DCEEFF',
        type: 'dashed'
      }
    }
  },
  grid: {
    top: '8%',
    bottom: '8%',
    left: '5%',
    right: '5%',
    containLabel: true
  },
  series: [
    {
      data: [120, 200, 150, 80, 70, 110, 130],
      type: 'bar',
      barWidth: '40',
      itemStyle: {
        color: '#ADBFFF',
        borderWidth: 0,
        borderRadius: [20, 20, 0, 0]
      },
      selectedMode: 'single',
      select: {
        itemStyle: {
          color: '#3763FF',
          borderWidth: 0
        }
      }
    }
  ]
}
export default doreEducationConfig
