/**
 * @description: 司法案件定性预测
 * @fileName: judicialConfig
 * @author: 17076
 * @date: 2024/6/7-下午3:01
 * @version: V1.0.0
 **/

const judicialConfig = {
  tooltip: {
    show: true,
    trigger: 'axis'
  },
  grid: {
    top: '8%',
    bottom: '5%',
    left: '2%',
    right: '2%',
    containLabel: true
  },
  xAxis: {
    type: 'category',
    boundaryGap: false,
    data: ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'],
    axisLine: {
      show: false
    },
    axisTick: {
      show: false
    }
  },
  yAxis: {
    type: 'value',
    splitLine: {
      lineStyle: {
        color: '#DCEEFF',
        type: 'dashed'
      }
    }
  },
  series: [
    {
      data: [820, 932, 901, 934, 1290, 1330, 1320, 978, 234, 569, 235, 1102],
      type: 'line',
      smooth: true,
      itemStyle: {
        color: '#3763FF'
      },
      symbol: 'none',
      areaStyle: {
        color: {
          type: 'linear',
          x: 0,
          y: 1,
          x2: 0,
          y2: 0,
          colorStops: [{
            offset: 0, color: 'rgba(255, 255, 255, .1)'
          }, {
            offset: 1, color: 'rgba(55, 99, 255, .3)'
          }],
          global: false
        }
      }
    }
  ]
}
export default judicialConfig
