/**
 * @description: 分值分布图表配置
 * @fileName: scoreConfig
 * @author: 17076
 * @date: 2024/6/7-下午3:37
 * @version: V1.0.0
 **/

const scoreConfig = {
  legend: {
    bottom: '2%',
    icon: 'circle'
  },
  series: [
    {
      type: 'pie',
      radius: [40, '70%'],
      center: ['50%', '50%'],
      roseType: 'area',
      bottom: '10%',
      label: {
        formatter: '{d}%'
      },
      data: [
        { value: 40, name: '70分以上', itemStyle: {
          color: {
            type: 'linear',
            x: 0,
            y: 1,
            x2: 0,
            y2: 0,
            colorStops: [{
              offset: 0, color: '#00CC7F'
            }, {
              offset: 1, color: '#5AF4BA'
            }],
            global: false
          }
        }},
        { value: 38, name: '20-50分', itemStyle: {
          color: {
            type: 'linear',
            x: 0,
            y: 1,
            x2: 0,
            y2: 0,
            colorStops: [{
              offset: 0, color: '#2C81FF'
            }, {
              offset: 1, color: '#71AAFF'
            }],
            global: false
          }
        }},
        { value: 32, name: '50以下', itemStyle: {
          color: {
            type: 'linear',
            x: 0,
            y: 1,
            x2: 0,
            y2: 0,
            colorStops: [{
              offset: 0, color: '#FF9311'
            }, {
              offset: 1, color: '#FFBB69'
            }],
            global: false
          }
        }}
      ]
    }
  ]
}
export default scoreConfig
