/**
 * @description: 受害人年龄统计
 * @fileName: victimAgeConfig
 * @author: 17076
 * @date: 2024/6/7-下午2:57
 * @version: V1.0.0
 **/

const victimAgeConfig = {
  tooltip: {
    show: true,
    trigger: 'axis'
  },
  grid: {
    top: '8%',
    bottom: '8%',
    left: '5%',
    right: '5%',
    containLabel: true
  },
  xAxis: {
    type: 'category',
    boundaryGap: false,
    data: ['20岁以下', '30岁', '40岁', '50岁', '60岁以上'],
    axisLine: {
      show: false
    },
    axisTick: {
      show: false
    }
  },
  yAxis: {
    type: 'value',
    splitLine: {
      lineStyle: {
        color: '#DCEEFF',
        type: 'dashed'
      }
    }
  },
  series: [
    {
      data: [820, 932, 901, 934, 1290, 1330, 1320],
      type: 'line',
      smooth: true,
      itemStyle: {
        color: '#3763FF'
      },
      symbol: 'none',
      areaStyle: {
        color: {
          type: 'linear',
          x: 0,
          y: 1,
          x2: 0,
          y2: 0,
          colorStops: [{
            offset: 0, color: 'rgba(255, 255, 255, .1)'
          }, {
            offset: 1, color: 'rgba(55, 99, 255, .3)'
          }],
          global: false
        }
      }
    }
  ]
}
export default victimAgeConfig
