/**
 * @description: 受害人男性图表配置
 * @fileName: victimManConfig
 * @author: 17076
 * @date: 2024/6/14-下午5:24
 * @version: V1.0.0
 **/
const victimManConfig = {
  grid: {
    left: 0,
    right: 0,
    bottom: 0,
    top: 0
  },
  xAxis: {
    type: 'value',
    splitLine: {
      show: false
    }
  },
  yAxis: {
    type: 'category',
    position: 'right',
    axisLabel: {
      show: true,
      inside: true,
      color: '#4569FF'
    },
    axisLine: {
      show: false
    },
    axisTick: {
      show: false
    },
    data: ['本学', '初中', '30-40岁', '在职', '固原', '已婚', '无犯罪前科', '受害人', '嫌疑人']
  },
  series: [
    {
      name: '2012',
      type: 'bar',
      barWidth: 20,
      itemStyle: {
        borderWidth: 0,
        borderRadius: [10, 0, 0, 10],
        color: {
          type: 'linear',
          x: 0,
          y: 0,
          x2: 1,
          y2: 0,
          colorStops: [{
            offset: 0, color: 'rgba(84, 107, 203, .2)'
          }, {
            offset: 1, color: 'rgba(116, 143, 255, .2)'
          }],
          global: false
        }
      },
      data: [-100, -130, -150, -170, -90, -30, -60, -80, -190]
    }
  ]
}
export default victimManConfig
